Upstream information

CVE-2017-17484 at MITRE

Description

The ucnv_UTF8FromUTF8 function in ucnv_u8.cpp in International Components for Unicode (ICU) for C/C++ through 60.1 mishandles ucnv_convertEx calls for UTF-8 to UTF-8 conversion, which allows remote attackers to cause a denial of service (stack-based buffer overflow and application crash) or possibly have unspecified other impact via a crafted string, as demonstrated by ZNC.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 7.5 6.8
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Low Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 7.3
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1072193 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • icu >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-979
SUSE CaaS Platform ALL
  • icu >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-CAASP-ALL-2018-979
SUSE Enterprise Storage 4
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-Storage-4-2018-979
SUSE Linux Enterprise Desktop 12 SP3
  • icu >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-979
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-979
SUSE Linux Enterprise Server 11 SP4
  • icu >= 4.0-47.6.1
  • libicu >= 4.0-47.6.1
  • libicu-32bit >= 4.0-47.6.1
  • libicu-doc >= 4.0-47.6.1
  • libicu-x86 >= 4.0-47.6.1
Patchnames:
slessp4-icu-13646
SUSE Linux Enterprise Server 12 SP1-LTSS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-979
SUSE Linux Enterprise Server 12 SP2-BCL
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-979
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-979
SUSE Linux Enterprise Server 12 SP2-LTSS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-979
SUSE Linux Enterprise Server 12 SP3
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-979
SUSE Linux Enterprise Server 12-LTSS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-2018-979
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • icu >= 4.0-47.6.1
  • libicu >= 4.0-47.6.1
  • libicu-32bit >= 4.0-47.6.1
  • libicu-doc >= 4.0-47.6.1
  • libicu-x86 >= 4.0-47.6.1
Patchnames:
slessp4-icu-13646
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2018-979
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2018-979
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-979
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-979
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-979
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-979
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-979
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SERVER-12-2018-979
SUSE Linux Enterprise Software Development Kit 11 SP4
  • icu >= 4.0-47.6.1
  • libicu-32bit >= 4.0-47.6.1
  • libicu-devel >= 4.0-47.6.1
  • libicu-devel-32bit >= 4.0-47.6.1
Patchnames:
sdksp4-icu-13646
SUSE Linux Enterprise Software Development Kit 12 SP3
  • icu >= 52.1-8.7.1
  • libicu-devel >= 52.1-8.7.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-979
SUSE Linux Enterprise Workstation Extension 12 SP3
  • icu >= 52.1-8.7.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-979
SUSE OpenStack Cloud 6
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-OpenStack-Cloud-6-2018-979
SUSE OpenStack Cloud 7
  • icu >= 52.1-8.7.1
  • libicu-doc >= 52.1-8.7.1
  • libicu52_1 >= 52.1-8.7.1
  • libicu52_1-32bit >= 52.1-8.7.1
  • libicu52_1-data >= 52.1-8.7.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-979
openSUSE Leap 42.3
  • icu >= 52.1-18.1
  • icu-data >= 52.1-18.1
  • icu-debuginfo >= 52.1-18.1
  • icu-debugsource >= 52.1-18.1
  • libicu-devel >= 52.1-18.1
  • libicu-devel-32bit >= 52.1-18.1
  • libicu-doc >= 52.1-18.1
  • libicu52_1 >= 52.1-18.1
  • libicu52_1-32bit >= 52.1-18.1
  • libicu52_1-data >= 52.1-18.1
  • libicu52_1-debuginfo >= 52.1-18.1
  • libicu52_1-debuginfo-32bit >= 52.1-18.1
Patchnames:
openSUSE-2018-517


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 icu Released
CaaS Platform 3.0 icu Released
OpenStack Cloud Magnum Orchestration 7.0 icu Released
SUSE Linux Enterprise Desktop 12 SP2 icu Unsupported
SUSE Linux Enterprise Desktop 12 SP3 icu Released
SUSE Linux Enterprise SDK 11 SP4 icu Released
SUSE Linux Enterprise SDK 12 SP2 icu Unsupported
SUSE Linux Enterprise SDK 12 SP3 icu Released
SUSE Linux Enterprise Server 11 SP3 LTSS icu Affected
SUSE Linux Enterprise Server 11 SP4 icu Released
SUSE Linux Enterprise Server 12 GA LTSS icu Released
SUSE Linux Enterprise Server 12 SP1 LTSS icu Released
SUSE Linux Enterprise Server 12 SP2 icu Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS icu Released
SUSE Linux Enterprise Server 12 SP3 icu Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 icu Released
SUSE Linux Enterprise Workstation Extension 12 SP2 icu Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP3 icu Released